/* Asosiy stil */

* {
  list-style: none;
  text-decoration: none;
  box-sizing: border-box;
}

main a {
  color: #00b140;
  position: relative;
}

main a h3 {
  position: absolute;
  top: 90%;
}

.flex {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  text-align: center;
}

body {
  font-family: "Arial", sans-serif;
  margin: 0;
  padding: 0;
  background-color: #121212;
  color: #fff;
}

header {
  background-color: #1a1a1a;
  color: #00b140; /* To'q yashil rang */
  padding: 20px 0;
  text-align: center;
  font-size: 1.2em;
}

nav ul {
  list-style-type: none;
  padding: 0;
}

nav ul li {
  display: inline;
  margin-right: 30px;
}

nav ul li a {
  color: #00b140;
  text-decoration: none;
  font-weight: bold;
  transition: color 0.3s;
}

nav ul li a:hover {
  color: #00bfff; /* To'q ko'k rang hover */
}

section {
  padding: 50px 20px;
  margin: 20px auto;
  max-width: 1000px;
  background-color: #1c1c1c;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 1s ease-out, transform 1s ease-out;
}

main {
  padding: 50px 20px;
  margin: 20px auto;
  max-width: 1000px;
  background-color: #1c1c1c;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  text-align: center;
}

main img {
  width: 50px;
  height: 50px;
}

section.fade-in {
  opacity: 1;
  transform: translateY(0);
}

h1,
h2 {
  color: #00bfff; /* To'q ko'k rang */
  font-size: 2em;
}

p {
  font-size: 1.1em;
}

ul {
  list-style-type: disc;
  padding-left: 20px;
  font-size: 1.1em;
}

img {
  width: 100%;
  height: auto;
  border-radius: 10px;
  margin-top: 20px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}

footer {
  background-color: #1a1a1a;
  color: #888;
  text-align: center;
  padding: 20px 0;
  position: fixed;
  bottom: 0;
  width: 100%;
}

footer p {
  margin: 0;
  font-size: 1em;
}

/* Media queries for responsiveness */
@media screen and (max-width: 768px) {
  header {
    font-size: 1em;
  }

  nav ul li {
    display: block;
    margin-bottom: 15px;
  }

  section {
    padding: 40px 15px;
  }

  h1,
  h2 {
    font-size: 1.8em;
  }

  p,
  ul {
    font-size: 1em;
  }
}

@media screen and (max-width: 480px) {
  header {
    font-size: 0.9em;
  }

  section {
    padding: 30px 10px;
  }

  h1,
  h2 {
    font-size: 1.5em;
  }

  p,
  ul {
    font-size: 0.9em;
  }
}
